/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 元素信息管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-11-04 09:57:41  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "元素信息管理")
public class AtuElementInfo extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_groupId = "groupId";
  public static final String KEY_name = "name";
  public static final String KEY_type = "type";
  public static final String KEY_fetchType = "fetchType";
  public static final String KEY_fetchValue = "fetchValue";
  public static final String KEY_secondFtype = "secondFtype";
  public static final String KEY_secondFvalue = "secondFvalue";
  public static final String KEY_isDeleted = "isDeleted";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 元素ID<br>
   */
  @ApiModelProperty("元素ID")
  @Size(max = 255, message="元素ID-id: 数据长度不能 > 255" )
  private String id;
  /**
   * 元素分组ID<br>
   */
  @ApiModelProperty("元素分组ID")
  @Size(max = 255, message="元素分组ID-groupId: 数据长度不能 > 255" )
  private String groupId;
  /**
   * 元素名称<br>
   */
  @ApiModelProperty("元素名称")
  @Size(max = 255, message="元素名称-name: 数据长度不能 > 255" )
  private String name;
  /**
   * 元素类型<br>
   */
  @ApiModelProperty("元素类型")
  @Size(max = 255, message="元素类型-type: 数据长度不能 > 255" )
  private String type;
  /**
   * 元素获取方式<br>
   */
  @ApiModelProperty("元素获取方式")
  @Size(max = 32, message="元素获取方式-fetchType: 数据长度不能 > 32" )
  private String fetchType;
  /**
   * 元素属性表达式<br>
   */
  @ApiModelProperty("元素属性表达式")
  private String fetchValue;
  /**
   * 元素备选获取方式<br>
   */
  @ApiModelProperty("元素备选获取方式")
  @Size(max = 32, message="元素备选获取方式-secondFtype: 数据长度不能 > 32" )
  private String secondFtype;
  /**
   * 元素备选属性表达式<br>
   */
  @ApiModelProperty("元素备选属性表达式")
  private String secondFvalue;
  /**
   * 是否删除<br>
   */
  @ApiModelProperty("是否删除")
  @Size(max = 1, message="是否删除-isDeleted: 数据长度不能 > 1" )
  private String isDeleted;
  /**
   * 系统ID<br>
   */
  @ApiModelProperty("系统ID")
  @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 租户号<br>
   */
  @ApiModelProperty("租户号")
  @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  /**
   * 元素ID<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 元素ID<br>
   *
   * @param id 元素ID
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 元素分组ID<br>
   */
  public String getGroupId()
  {
      return groupId;
    }

  /**
   * 元素分组ID<br>
   *
   * @param groupId 元素分组ID
   */
  public void setGroupId(String groupId)
  {
      this.groupId = groupId;
    }
  /**
   * 元素名称<br>
   */
  public String getName()
  {
      return name;
    }

  /**
   * 元素名称<br>
   *
   * @param name 元素名称
   */
  public void setName(String name)
  {
      this.name = name;
    }
  /**
   * 元素类型<br>
   */
  public String getType()
  {
      return type;
    }

  /**
   * 元素类型<br>
   *
   * @param type 元素类型
   */
  public void setType(String type)
  {
      this.type = type;
    }
  /**
   * 元素获取方式<br>
   */
  public String getFetchType()
  {
      return fetchType;
    }

  /**
   * 元素获取方式<br>
   *
   * @param fetchType 元素获取方式
   */
  public void setFetchType(String fetchType)
  {
      this.fetchType = fetchType;
    }
  /**
   * 元素属性表达式<br>
   */
  public String getFetchValue()
  {
      return fetchValue;
    }

  /**
   * 元素属性表达式<br>
   *
   * @param fetchValue 元素属性表达式
   */
  public void setFetchValue(String fetchValue)
  {
      this.fetchValue = fetchValue;
    }
  /**
   * 元素备选获取方式<br>
   */
  public String getSecondFtype()
  {
      return secondFtype;
    }

  /**
   * 元素备选获取方式<br>
   *
   * @param secondFtype 元素备选获取方式
   */
  public void setSecondFtype(String secondFtype)
  {
      this.secondFtype = secondFtype;
    }
  /**
   * 元素备选属性表达式<br>
   */
  public String getSecondFvalue()
  {
      return secondFvalue;
    }

  /**
   * 元素备选属性表达式<br>
   *
   * @param secondFvalue 元素备选属性表达式
   */
  public void setSecondFvalue(String secondFvalue)
  {
      this.secondFvalue = secondFvalue;
    }
  /**
   * 是否删除<br>
   */
  public String getIsDeleted()
  {
      return isDeleted;
    }

  /**
   * 是否删除<br>
   *
   * @param isDeleted 是否删除
   */
  public void setIsDeleted(String isDeleted)
  {
      this.isDeleted = isDeleted;
    }
  /**
   * 系统ID<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统ID<br>
   *
   * @param projectId 系统ID
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 租户号<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户号<br>
   *
   * @param tenantId 租户号
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public AtuElementInfo()
  {
  }

}
